//
//  ControleurFenetrePrincipale.h
//  This file is part of COLLATINVS Mac.

//  COLLATINVS is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  COLLATINVS is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with COLLATINVS; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//  Created by Alain Baud on 17/10/08.
//

#import <Cocoa/Cocoa.h>
#import "GBOModeleCollatinus.h"

@class GBOModeleCollatinus;

@interface ControleurFenetrePrincipale : NSWindowController {

	IBOutlet NSTextView *texteALemmatiser;
	IBOutlet NSTextView *vocabulaire;
	IBOutlet NSTabView *onglet;
	IBOutlet NSSearchField *champRecherche;
	IBOutlet NSButton *cumTextusVocibus;
	IBOutlet NSButton *alphabetice;
	GBOModeleCollatinus *modeleCollatinus;
}

@property (retain,nonatomic) IBOutlet NSTextView *texteALemmatiser;
@property (retain,nonatomic) IBOutlet NSTextView *vocabulaire;
@property (retain,nonatomic) IBOutlet NSTabView *onglet;
@property (retain,nonatomic) IBOutlet NSSearchField *champRecherche;
@property (retain,nonatomic) IBOutlet NSButton *cumTextusVocibus;
@property (retain,nonatomic) IBOutlet NSButton *alphabetice;

-(IBAction) ouvrirFichier:(id) sender;
-(IBAction) enregistrerFichierSous:(id) sender;
-(IBAction) appuiBoutonLemmatiser:(id)sender;
-(IBAction) ordreAlphabetique:(id)sender;
-(IBAction) avecMotATraduire:(id)sender;
-(IBAction) augmenterTailleCaracteres:(id)sender;
-(IBAction) diminuerTailleCaracteres:(id)sender;
-(IBAction) chercherDansTexte:(id)sender;
-(void)tabView:(NSTabView *)tabView didSelectTabViewItem:(NSTabViewItem *)tabViewItem;
-(void)changementLangue:(NSNotification *) note;
-(void)modifTexte:(NSNotification *) note;


@end
