//
//  GBOModeleCollatinus.h
//  This file is part of COLLATINVS Mac.
                                                                            
//  COLLATINVS is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
                                                                            
//  COLLATINVS is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
                                                                            
//  You should have received a copy of the GNU General Public License
//  along with COLLATINVS; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  

//
//  Created by Alain Baud on 27/03/09.
//

#import <Cocoa/Cocoa.h>
#include "libcollatinus.h"


@interface GBOModeleCollatinus : NSObject {
	TLexicum *frLexicum,*deLexicum,*ukLexicum;
	NSMutableAttributedString *frTexteSource;	
	NSMutableAttributedString *deTexteSource;	
	NSMutableAttributedString *ukTexteSource;	
	NSMutableDictionary *lexiqueDuTexte;
	NSArray *formes;// Liste des mots du texte
	NSMutableArray *motsATraduire;
}
@property (retain,nonatomic) NSMutableAttributedString *frTexteSource;
@property (retain,nonatomic) NSMutableAttributedString *deTexteSource;
@property (retain,nonatomic) NSMutableAttributedString *ukTexteSource;
@property (retain,nonatomic) NSArray *formes;
@property (retain,nonatomic) NSMutableArray *motsATraduire;
-(id)init;
-(id)initAvecTexteSource:(NSString *)texte avecMorphologie:(BOOL)avecMorphologie;
-(void)dealloc;
-(void)changeTexteSource:(NSString *)nouveauTexteSource avecMorphologie:(BOOL)avecMorphologie;
-(NSString *) traduire:(NSMutableString *)motATraduire avecIndexLangue:(int)indexLangue avecMorphologie:(BOOL)avecMorphologie;
-(void)toutLemmatiserAvecFrequence:(int)frequence;
-(NSString *)vocabulaireMisEnFormeEn:(NSString *)typeMiseEnForme avecIndexLangue:(int)indexLangue avecMotDuTexte:(BOOL)avecMotDuTexte dansLOrdreAlphabetique:(BOOL)dansLOrdreAlphabetique avecMorphologie:(BOOL)avecMorphologie;
-(void)ajoutMotDansTraduction:(NSRange)plage;
-(NSString *)afficheFlexioDeLaPlage:(NSRange)plage;
@end
